#!/bin/sh
#SBATCH -J test_mpi4py
#SBATCH -N 1
#SBATCH -n 18
#SBATCH --ntasks-per-node=18
#SBATCH --ntasks-per-core=1
#SBATCH --mem=180000
#SBATCH --time=00:10:00

module purge
module load conda/4.9.2 
module load openmpi/gnu/4.0.3.3
module load arm/22.1.1

# TODO change to your environment
conda activate openmpi_test_3.7

which mpirun
srun python -u test_mpi4py.py

# TODO profile the code
# map --profile srun python -u pytraj_mpi.py
